NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.Lattice2Builder Class Reference

Represents a Features. More...

Inheritance diagram for NXOpen.Features.Lattice2Builder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BaseMeshType { UseExisting, RemeshTriangular }
 Base Mesh type (for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph only). More...
 
enum  FacetSizeType { Constant, Variable }
 Facet Size Type for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular is set. More...
 
enum  LatticeTypes { UnitGraph, ConformalGraph, SurfaceGraph, TetrahedronGraph }
 This enum represents the lattice types that are supported in NX. More...
 
enum  ParameterizationType { Automatic, Planar, Contour, Cylindrical }
 This enum represents the parameterization types that are supported in conformal lattice. More...
 
enum  SharpEdgesLockType { NoLock, SoftLock, HardLock }
 Sharp Edges Lock Type (Only for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular is set.)

More...
 
enum  ThicknessTypes { RodDiameter, Density }
 This enum represents the method that is used to generate lattice rod thickness. More...
 
enum  Version { V1, V2 }
 This enum represents the version of lattice behavior. More...
 

Properties

unsafe double AngularThreshold [get, set]
 Returns or sets the angular threshold More...
 
unsafe NXOpen.Expression AverageFacetSize [get]
 Returns the average size of rod length for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular and NXOpen.Features.Lattice2Builder.FacetSizeType.Constant are set. More...
 
unsafe NXOpen.ScCollector BaseFace [get]
 Returns the geometry that defines the boundary for conformal lattice type. More...
 
unsafe NXOpen.ScCollector BoundaryBody [get]
 Returns the solid bodies that define the boundary for unit lattice type. More...
 
unsafe NXOpen.Expression ChordalTolerance [get]
 Returns the chordal tolerance - the maximum chordal deviation for areas with high curvature for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular is set. More...
 
unsafe NXOpen.Point ContourPoint1 [get, set]
 Returns or sets the contour point1 of contour UV mapping More...
 
unsafe NXOpen.Point ContourPoint2 [get, set]
 Returns or sets the contour point2 of contour UV mapping More...
 
unsafe NXOpen.Point ContourPoint3 [get, set]
 Returns or sets the contour point3 of contour UV mapping More...
 
unsafe NXOpen.Point ContourPoint4 [get, set]
 Returns or sets the contour point4 of contour UV mapping More...
 
unsafe NXOpen.CoordinateSystem Csys [get, set]
 Returns or sets the coordinate system which determines the orientation with respect to the lattice creation More...
 
unsafe NXOpen.ScCollector FilterToolFace [get]
 Returns the faces of the boundary body that the dangling rods connected to will be removed from the lattice body More...
 
unsafe bool IsRandom [get, set]
 Returns or sets whether to randomize graph vertices within a specified range and generate some bumps for the lattice body. More...
 
unsafe
NXOpen.Features.Lattice2Builder.LatticeTypes 
LatticeType [get, set]
 Returns or sets the type of lattice that is going to be created. More...
 
unsafe
NXOpen.Features.Lattice2Builder.Version 
LatticeVersion [get, set]
 Returns or sets the lattice behavior version number More...
 
unsafe int Layers [get, set]
 Returns or sets the number of unit cell layers stacked over each other. More...
 
unsafe bool LockAtBoundary [get, set]
 Returns or sets whether to exclude nodes near boundary or base faces from randomization. More...
 
unsafe NXOpen.Expression MaxDeviation [get]
 Returns the maximum deviation that the vertices of the lattice graph will have. More...
 
unsafe int MinimumRodNumber [get, set]
 Returns or sets the minimum rod number - All lattice portions with a number of rods less than specified will be removed. More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset of the conformal lattice from the base face. More...
 
unsafe NXOpen.Point OrientationPoint1 [get, set]
 Returns or sets the orientation point1 of planar UV mapping More...
 
unsafe NXOpen.Point OrientationPoint2 [get, set]
 Returns or sets the orientation point2 of planar UV mapping More...
 
unsafe
NXOpen.Features.Lattice2Builder.ParameterizationType 
Parameterization [get, set]
 Returns or sets the UV mapping parameterization. More...
 
unsafe
NXOpen.Features.Lattice2Builder.FacetSizeType 
RemeshMode [get, set]
 Returns or sets the facet size mode for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular is set. More...
 
unsafe bool RemoveDanglingRods [get, set]
 Returns or sets whether to remove dangling rods from the lattice body. More...
 
unsafe bool RemoveDisconnectedRods [get, set]
 Returns or sets whether to remove small disconnected lattice portions keeping just the largest body. More...
 
unsafe bool RemoveDisconnectedRods2 [get, set]
 Returns or sets whether to automatically remove all small disconnected lattice portions with a number of rods less than the specified value. More...
 
unsafe bool ReverseFaceDirection [get, set]
 Returns or sets whether the conformal lattice will be generated on the other side of the face More...
 
unsafe
NXOpen.Fields.ScalarFieldWrapper 
RodDiameter [get]
 Returns the diameter/thickness scalar field of the rods in the lattice graph More...
 
unsafe
NXOpen.Features.Lattice2Builder.SharpEdgesLockType 
SharpEdgesLockOption [get, set]
 Returns or sets the sharp edges lock type for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular is set. More...
 
unsafe bool SnipAtBoundary [get, set]
 Returns or sets whether to limit rods exactly at boundary for NXOpen.Features.Lattice2Builder.LatticeTypes.UnitGraph . More...
 
unsafe
NXOpen.Features.Lattice2Builder.BaseMeshType 
Source [get, set]
 Returns or sets the source - NXOpen.Features.Lattice2Builder.BaseMeshType for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph only. More...
 
unsafe NXOpen.Section SplitCurve [get]
 Returns the split curve of cylindrical UV mapping More...
 
unsafe double TessellationFactor [get, set]
 Returns or sets the tessellation factor of the lattice creation. More...
 
unsafe
NXOpen.Features.Lattice2Builder.ThicknessTypes 
ThicknessType [get, set]
 Returns or sets the method that is used to determine lattice rod thickness. More...
 
unsafe
NXOpen.GeometricUtilities.UnitCellBuilder 
UnitCell [get]
 Returns the Unit Cell Builder More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.

Lattice2 builder<para>To create a new instance of this class, use NXOpen.Features.LatticeFeatureCollection.CreateLattice2Builder

Default values.

Property Value

AngularThreshold

10

AverageFacetSize.Value

5 (millimeters part), 0.2 (inches part)

ChordalTolerance.Value

0.1 (millimeters part), 0.004 (inches part)

IsRandom

0

LatticeType

UnitGraph

LatticeVersion

V1

Layers

1

LockAtBoundary

0

MaxDeviation.Value

0.5 (millimeters part), 0.02 (inches part)

MaxEdgeLength.Value

10 (millimeters part), 0.5 (inches part)

MinimumRodNumber

1

Offset.Value

0 (millimeters part), 0 (inches part)

Parameterization

Automatic

RemeshMode

Constant

RemoveDanglingRods

0

RemoveDisconnectedRods (deprecated)

0

RemoveDisconnectedRods2

0

ReverseFaceDirection

0

SharpEdgesLockOption

NoLock

SnipAtBoundary

0

Source

UseExisting

TessellationFactor

0.5

ThicknessType

RodDiameter

UnitCell.CellType

BiTriangle

UnitCell.CellTypeName

BiTriangle

UnitCell.EdgeLength.Value

10 (millimeters part), 0.5 (inches part)

UnitCell.IsUniformCube

1

UnitCell.SizeX.Value

10 (millimeters part), 0.5 (inches part)

UnitCell.SizeY.Value

10 (millimeters part), 0.5 (inches part)

UnitCell.SizeZ.Value

10 (millimeters part), 0.5 (inches part)

Created in NX1899.0.0

Member Enumeration Documentation

Base Mesh type (for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph only).

An enumeration which kind of mesh to be used:

  • Use Existing - The existing mesh of the input faces will be directly used (or the display mesh from analytic faces).
  • Remesh Triangular - The input faces will be remeshed triangular to a specified facet size.
Enumerator
UseExisting 
RemeshTriangular 

Facet Size Type for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular is set.

Enumerator
Constant 
Variable 

This enum represents the lattice types that are supported in NX.

Enumerator
UnitGraph 
ConformalGraph 
SurfaceGraph 
TetrahedronGraph 

This enum represents the parameterization types that are supported in conformal lattice.

Enumerator
Automatic 
Planar 
Contour 
Cylindrical 

This enum represents the method that is used to generate lattice rod thickness.

Enumerator
RodDiameter 
Density 

This enum represents the version of lattice behavior.

By setting this to V1, user can get legacy conformal lattice behavior in NX12. If this value is set to V2, user can get the enhanced conformal lattice behavior in NX1899.

Enumerator
V1 
V2 

Property Documentation

unsafe double NXOpen.Features.Lattice2Builder.AngularThreshold
getset

Returns or sets the angular threshold

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.Lattice2Builder.AverageFacetSize
get
unsafe NXOpen.ScCollector NXOpen.Features.Lattice2Builder.BaseFace
get

Returns the geometry that defines the boundary for conformal lattice type.

This can be faces or sheet bodies.

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.Lattice2Builder.BoundaryBody
get

Returns the solid bodies that define the boundary for unit lattice type.

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.Lattice2Builder.ChordalTolerance
get

Returns the chordal tolerance - the maximum chordal deviation for areas with high curvature for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular is set.

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.Lattice2Builder.ContourPoint1
getset

Returns or sets the contour point1 of contour UV mapping

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.Features.Lattice2Builder.ContourPoint2
getset

Returns or sets the contour point2 of contour UV mapping

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.Features.Lattice2Builder.ContourPoint3
getset

Returns or sets the contour point3 of contour UV mapping

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.Features.Lattice2Builder.ContourPoint4
getset

Returns or sets the contour point4 of contour UV mapping

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.CoordinateSystem NXOpen.Features.Lattice2Builder.Csys
getset

Returns or sets the coordinate system which determines the orientation with respect to the lattice creation

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.ScCollector NXOpen.Features.Lattice2Builder.FilterToolFace
get

Returns the faces of the boundary body that the dangling rods connected to will be removed from the lattice body

Created in NX1899.0.0

License requirements: None.

unsafe bool NXOpen.Features.Lattice2Builder.IsRandom
getset

Returns or sets whether to randomize graph vertices within a specified range and generate some bumps for the lattice body.

The range over which the vertices are randomized is determined by property Features.Lattice2Builder.MaxDeviation .

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.Lattice2Builder.LatticeTypes NXOpen.Features.Lattice2Builder.LatticeType
getset

Returns or sets the type of lattice that is going to be created.

Supported lattice types are: NXOpen.Features.Lattice2Builder.LatticeTypes.UnitGraph , NXOpen.Features.Lattice2Builder.LatticeTypes.ConformalGraph , NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph .

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.Lattice2Builder.Version NXOpen.Features.Lattice2Builder.LatticeVersion
getset

Returns or sets the lattice behavior version number

The default is V1. By setting this to default value, user can get legacy conformal lattice behavior in NX12. If this value is set to V2, user can get the enhanced conformal lattice behavior in NX1899.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe int NXOpen.Features.Lattice2Builder.Layers
getset

Returns or sets the number of unit cell layers stacked over each other.

The default is one layer only.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.Lattice2Builder.LockAtBoundary
getset

Returns or sets whether to exclude nodes near boundary or base faces from randomization.

Determines whether to fix the graph vertices on the boundary bodies or base faces and gradually increase the randomization to Features.Lattice2Builder.MaxDeviation and when property Features.Lattice2Builder.IsRandom is set.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.Lattice2Builder.MaxDeviation
get

Returns the maximum deviation that the vertices of the lattice graph will have.

The bigger the value of this property is, the more obvious bumps the lattice body will generate.

Created in NX1899.0.0

License requirements: None.

unsafe int NXOpen.Features.Lattice2Builder.MinimumRodNumber
getset

Returns or sets the minimum rod number - All lattice portions with a number of rods less than specified will be removed.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.Lattice2Builder.Offset
get

Returns the offset of the conformal lattice from the base face.

A negative offset will let the conformal lattice intersect with the base face ("into material"). A positive offset will move the conformal lattice away from the base face( "away from material"). Using a negative offset can ensure that the final lattice body will intersect with the base face, if that is required. The default offset is zero.

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.Lattice2Builder.OrientationPoint1
getset

Returns or sets the orientation point1 of planar UV mapping

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.Features.Lattice2Builder.OrientationPoint2
getset

Returns or sets the orientation point2 of planar UV mapping

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.Lattice2Builder.ParameterizationType NXOpen.Features.Lattice2Builder.Parameterization
getset

Returns or sets the UV mapping parameterization.

The UV parameters for each parameterization type are defined as the following:

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.Lattice2Builder.FacetSizeType NXOpen.Features.Lattice2Builder.RemeshMode
getset

Returns or sets the facet size mode for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular is set.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.Lattice2Builder.RemoveDanglingRods
getset

Returns or sets whether to remove dangling rods from the lattice body.

The dangling rods are defined as the following:

  • Connects at only one end to the lattice body
  • Touches or intersects a face of the boundary body

The selected faces are (Features.Lattice2Builder.FilterToolFace )

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.Lattice2Builder.RemoveDisconnectedRods
getset

Returns or sets whether to remove small disconnected lattice portions keeping just the largest body.

Created in NX1899.0.0

Deprecated in NX1847.0.0. This is for pre NX1847 usage, do not use this method. Instead use NXOpen.Features.Lattice2Builder.RemoveDisconnectedRods2 instead.

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.Lattice2Builder.RemoveDisconnectedRods2
getset

Returns or sets whether to automatically remove all small disconnected lattice portions with a number of rods less than the specified value.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.Lattice2Builder.ReverseFaceDirection
getset

Returns or sets whether the conformal lattice will be generated on the other side of the face

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Fields.ScalarFieldWrapper NXOpen.Features.Lattice2Builder.RodDiameter
get

Returns the diameter/thickness scalar field of the rods in the lattice graph

Created in NX1899.0.0

License requirements: None.

unsafe NXOpen.Features.Lattice2Builder.SharpEdgesLockType NXOpen.Features.Lattice2Builder.SharpEdgesLockOption
getset

Returns or sets the sharp edges lock type for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph when NXOpen.Features.Lattice2Builder.BaseMeshType.RemeshTriangular is set.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.Lattice2Builder.SnipAtBoundary
getset

Returns or sets whether to limit rods exactly at boundary for NXOpen.Features.Lattice2Builder.LatticeTypes.UnitGraph .

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.Lattice2Builder.BaseMeshType NXOpen.Features.Lattice2Builder.Source
getset

Returns or sets the source - NXOpen.Features.Lattice2Builder.BaseMeshType for NXOpen.Features.Lattice2Builder.LatticeTypes.SurfaceGraph and NXOpen.Features.Lattice2Builder.LatticeTypes.TetrahedronGraph only.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Section NXOpen.Features.Lattice2Builder.SplitCurve
get

Returns the split curve of cylindrical UV mapping

Created in NX1899.0.0

License requirements: None.

unsafe double NXOpen.Features.Lattice2Builder.TessellationFactor
getset

Returns or sets the tessellation factor of the lattice creation.

A tessellation tolerance specifies the maximum deviation between the ideal rod and their final tessellated representation of the lattice body. Since the result heavily depends on the relation between rod diameter and tessellation tolerance, the tessellation factor is only a unitless factor. The actual tessellation tolerance will determined by (Features.Lattice2Builder.TessellationFactor ) X (Features.Lattice2Builder.RodDiameter )

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.Lattice2Builder.ThicknessTypes NXOpen.Features.Lattice2Builder.ThicknessType
getset

Returns or sets the method that is used to determine lattice rod thickness.

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.GeometricUtilities.UnitCellBuilder NXOpen.Features.Lattice2Builder.UnitCell
get

Returns the Unit Cell Builder

Created in NX1899.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.